Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verification Data

The Data API is another service provided by VIDA which is available after a successful response is received from the identity verification API. This API allows partners to retrieve certain collected data of the user, such as their name, date of birth, and other user information passed during the verification process, along with the Identity verification status, selfie score and face-match scores that are generated as part of the verification process. This API is useful for partners who need to access this information for various purposes like compliance, fraud detection, or record-keeping. The API provides the partners the flexibility to retrieve the collected data on-demand, and also allows to extract the information they need to update their records or make a decision.

Verification User Data API Reference

API Description

GET https://services-sandbox.vida.id/main/v3/services/kyc/{kycEventId}/kycdata

Path Parameters

Name
Type
Description

eventId*

String

Transaction ID that is produced on transaction request.

Headers

Name
Type
Description

Authorization*

String

OAuth access token.

Get the token by calling the

Get Access Token API

Content-Type

application/json

Format type of request body

In the identity verification API, the provided parameter values are accurate, resulting in the certificate issued status being marked as 200.

Selfie Score (refer to liveness score): The VIDA system evaluates whether the provided selfie is genuine and unaltered, performing various additional image checks and generating a selfie score. This score ranges from 0 to 1, with 0 signifying the highest level of authenticity and 1 indicating the lowest level of authenticity in the selfie.

However, the determination of success or failure in the liveness check is contingent upon the liveness threshold score, which defaults to a score of 0.95.

HTTP Status Code: 200

Sample Request

Sample Request
{
   "data":{
      "fullName":"Foo bar",
      "emailId":"foo@bar.com",
      "mobile":"+62123456788",
      "dob":"1980-01-01",
      "govId":"3511000101806300",
      "govIdType":"KTP",
      "selfiePhoto":"/9j/4AAQSkZJ...",
      "idCardPhoto":"/9j/4AAQSkZJ...",
      "selfieScore": 0.019347,
      "imgManipulationScore": "0.098010", //Available only when imgManipulation is enabled
      "certificateIssued": 200
   }
}

Success Response

Selfie or Demog verification has failed.

HTTP Status Code: 444

Recommendation: The partner must send a clear selfie of the user whose NIK has been provided in the request.

JSON Response

Selfie has failed in liveness check.

HTTP Status Code: 444

There has been no face in the submitted selfie. Therefore, demog and face-match verification is not performed. Also, selfie score and face match status will not be shared in the response.

Recommendation: The partner must send a live selfie of the user in the API request body.

JSON Response

The submitted selfie score (liveness score) is more than the threshold score (0.95). Therefore, demog and face-match verification is not performed. Also, selfie score and face match status will not be shared in the response.

Recommendation: The partner must send a live selfie of the user in the API request body.

JSON Response

Method Not Allowed Description

HTTP Status Code: 405

The provided API method is not allowed to run this endpoint.

Recommendation: Use only the “GET” method to call this API.

JSON Response

Not Found

HTTP Status Code: 404

The API endpoint URL is not valid.

Recommendation: The partner must send a valid endpoint URL.

JSON Response

Last updated